From f3e1fd04d20c4e1fad62dfadb8d74aad6507cb69 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Wed, 18 Jul 2012 18:59:51 +0200
Subject: Replace vendored awesome_nested_set with the gem

awesome_nested_set would have needed to be updated for rails 3.1,
unvendoring it makes updates easier. The patches to the vendored
awesome_nested_set will have to be reviewed and adapted.

--HG--
extra : source : 6af61ea4117c163bc53fd16d458e4314ce48a85c
---
 Gemfile                                            |    2 +
 vendor/plugins/awesome_nested_set/MIT-LICENSE      |   20 -
 vendor/plugins/awesome_nested_set/README.rdoc      |   64 --
 vendor/plugins/awesome_nested_set/Rakefile         |   46 --
 .../awesome_nested_set/awesome_nested_set.gemspec  |   20 -
 vendor/plugins/awesome_nested_set/init.rb          |    2 -
 .../awesome_nested_set/lib/awesome_nested_set.rb   |  554 ------------------
 .../lib/awesome_nested_set/compatability.rb        |   30 -
 .../lib/awesome_nested_set/helper.rb               |   41 --
 .../lib/awesome_nested_set/named_scope.rb          |  141 -----
 vendor/plugins/awesome_nested_set/rails/init.rb    |   14 -
 .../test/awesome_nested_set/helper_test.rb         |   42 --
 .../test/awesome_nested_set_test.rb                |  604 --------------------
 .../awesome_nested_set/test/db/database.yml        |   18 -
 .../plugins/awesome_nested_set/test/db/schema.rb   |   24 -
 .../test/fixtures/categories.yml                   |   34 --
 .../awesome_nested_set/test/fixtures/category.rb   |   16 -
 .../test/fixtures/departments.yml                  |    3 -
 .../awesome_nested_set/test/fixtures/notes.yml     |   38 --
 .../plugins/awesome_nested_set/test/test_helper.rb |   32 -
 20 files changed, 2 insertions(+), 1743 deletions(-)
 delete mode 100644 vendor/plugins/awesome_nested_set/MIT-LICENSE
 delete mode 100644 vendor/plugins/awesome_nested_set/README.rdoc
 delete mode 100644 vendor/plugins/awesome_nested_set/Rakefile
 delete mode 100644 vendor/plugins/awesome_nested_set/awesome_nested_set.gemspec
 delete mode 100644 vendor/plugins/awesome_nested_set/init.rb
 delete mode 100644 vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb
 delete mode 100644 vendor/plugins/awesome_nested_set/lib/awesome_nested_set/compatability.rb
 delete mode 100644 vendor/plugins/awesome_nested_set/lib/awesome_nested_set/helper.rb
 delete mode 100644 vendor/plugins/awesome_nested_set/lib/awesome_nested_set/named_scope.rb
 delete mode 100644 vendor/plugins/awesome_nested_set/rails/init.rb
 delete mode 100644 vendor/plugins/awesome_nested_set/test/awesome_nested_set/helper_test.rb
 delete mode 100644 vendor/plugins/awesome_nested_set/test/awesome_nested_set_test.rb
 delete mode 100644 vendor/plugins/awesome_nested_set/test/db/database.yml
 delete mode 100644 vendor/plugins/awesome_nested_set/test/db/schema.rb
 delete mode 100644 vendor/plugins/awesome_nested_set/test/fixtures/categories.yml
 delete mode 100644 vendor/plugins/awesome_nested_set/test/fixtures/category.rb
 delete mode 100644 vendor/plugins/awesome_nested_set/test/fixtures/departments.yml
 delete mode 100644 vendor/plugins/awesome_nested_set/test/fixtures/notes.yml
 delete mode 100644 vendor/plugins/awesome_nested_set/test/test_helper.rb

diff --git a/Gemfile b/Gemfile
index 7f7d343..215eb00 100644
--- a/Gemfile
+++ b/Gemfile
@@ -12,6 +12,8 @@ gem "acts-as-taggable-on", "= 2.1.0"
 gem 'gravatarify', '~> 3.0.0'
 # Needed only on RUBY_VERSION = 1.8, ruby 1.9+ compatible interpreters should bring their csv
 gem "fastercsv", "~> 1.5.0", :platforms => [:ruby_18, :jruby, :mingw_18]
+# TODO rails-3.2: review the core changes to awesome_nested_set and decide on actions
+gem 'awesome_nested_set'
 
 group :test do
   gem 'shoulda', '~> 2.10.3'
